std::uniform_random_bit_generator(3cxx)

NAME
std::uniform_random_bit_generator - Requirements for a uniform random bit generator.

SYNOPSIS

#include <random>

Concept definition

template<typename _Gen>
concept std::uniform_random_bit_generator =  invocable<_Gen&> && unsigned_integral<invoke_result_t<_Gen&>>
      && requires
      {
        { _Gen::min() } -> same_as<invoke_result_t<_Gen&>>;
        { _Gen::max() } -> same_as<invoke_result_t<_Gen&>>;
        requires bool_constant<(_Gen::min() < _Gen::max())>::value;
      }

Detailed Description

Requirements for a uniform random bit generator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.